import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
binary = client.fastedge.binaries.get(
0,
)
print(binary.id)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
binary, err := client.Fastedge.Binaries.Get(context.TODO(), 0)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", binary.ID)
}
curl --request GET \
--url https://api.gcore.com/fastedge/v1/binaries/{binary_id} \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/fastedge/v1/binaries/{binary_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"status": 2,
"source": 1,
"api_type": "<string>",
"unref_since": "<string>",
"checksum": "<string>"
}{
"error": "<string>"
}Get binary
Retrieve complete information about a specific WebAssembly binary including metadata and compiled content. Use this to download or inspect binaries before using them in applications.
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
binary = client.fastedge.binaries.get(
0,
)
print(binary.id)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
binary, err := client.Fastedge.Binaries.Get(context.TODO(), 0)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", binary.ID)
}
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Path Parameters
Unique identifier of the binary to retrieve
Response
Returns detailed binary information including metadata and content
Binary ID
Status code:
0 - pending
1 - compiled
2 - compilation failed (errors available)
3 - compilation failed (errors not available)
4 - resulting binary exceeded the limit
5 - unsupported source language
0 <= x <= 5Source language:
0 - unknown
1 - Rust
2 - JavaScript
3 - Go
0 <= x <= 3Wasm API type
Not used since (UTC)
MD5 hash of the binary
Was this page helpful?